# Use Wrangler to deploy
image: registry.gitlab.com/uni-corn.me/wrangler-dockerized:latest

stages:
  - build
  - deploy

deploy:
  stage: deploy
  before_script:
    - sed -i "s#\$ROUTE#$ROUTE#" wrangler.toml
    - sed -i "s#\$WORKERS_NAME#$WORKERS_NAME#" wrangler.toml
    - sed -i "s#\$CF_ZONE_ID#$CF_ZONE_ID#" wrangler.toml
    - sed -i "s#\$CF_ACCOUNT_ID#$CF_ACCOUNT_ID#" wrangler.toml
  script:
    - wrangler publish
# build:
#   stage: build
#   script:
#     - wrangler build
